# Ultimate Modal #
**Contributors:** claudiosanches  
**Donate link:** http://claudiosmweb.com/doacoes/  
**Tags:** modal, popup  
**Requires at least:** 3.8  
**Tested up to:** 3.9  
**Stable tag:** 1.4.2  
**License:** GPLv2 or later  
**License URI:** http://www.gnu.org/licenses/gpl-2.0.html  

Displays a modal content in your WordPress

## Description ##

Displays a modal on your WordPress site, configuring the contents with an editor.

Check the [Screenshots](http://wordpress.org/plugins/ultimate-modal/screenshots/) for examples.

### Credits ###

* jquery.cookie by [Klaus Hartl](https://github.com/carhartl)
* Icon by [Victor Erixon](http://www.iconfinder.com/iconsets/eightyshades)

## Installation ##

* Upload plugin files to your plugins folder, or install using WordPress built-in Add New Plugin installer;
* Activate the plugin;
* Navigate to Settings -> Ultimate Modal and fill the options.

## Frequently Asked Questions ##

### What is the plugin license? ###

* This plugin is released under a GPL license.

### How to display or hide on some pages? ###

Use the `ultimatemodal_is_visible` filter to control the display.

Example to hide in pages:


	/**
	 * Hide the modal in pages.
	 *
	 * @param  bool $display
	 *
	 * @return bool
	 */
	function ultimatemodal_hide_in_pages( $display ) {
		if ( is_page() ) {
			$display = false;
		}

		return $display;
	}

	add_filter( 'ultimatemodal_is_visible', 'ultimatemodal_hide_in_pages' );


## Screenshots ##

### 1. Settings page. ###
![1. Settings page.](http://s.wordpress.org/extend/plugins/ultimate-modal/screenshot-1.png)

### 2. Plugin in action. ###
![2. Plugin in action.](http://s.wordpress.org/extend/plugins/ultimate-modal/screenshot-2.png)


## Changelog ##

### 1.4.2 - 18/03/2014 ###

* Added the `ultimatemodal_is_visible` filter.

### 1.4.1 - 05/03/2014 ###

* Fixed the modal cookie creation.

### 1.4.0 - 04/03/2014 ###

* Allowed auto embed / oEmbed in the modal content.
* Improved the cookie renewal when save the plugin settings.
* Improved the modal close, to prevent errors with videos and audios.

### 1.3.0 - 16/12/2013 ###

* Fixed some code standards.
* Added ability to run the modal shortcodes.
* Added option to configure delay in the modal.

### 1.2.2 - 13/12/2013 ###

* Fixed some code standards.
* Added support to WordPress 3.8.

### 1.2.1 - 29/10/2013 ###

* Fixed a bug in plugins page.
* Fixed the scripts load in admin.

### 1.2.0 - 27/10/2013 ###

* Added option to preview the modal in plugin settings page.
* Added method to reset the cookie when alter the modal content.
* Fixed the textdomain for new WordPress 3.7 standard.

### 1.1.1 - 24/05/2013 ###

* Fixed standards.
* Removed filter the_action in favor to wpautop() function.

### 1.1.0 - 24/05/2013 ###

* Removed the modal_js_vars method in favor to wp_localize_script.
* Improved use of JSHint to validate the javascript files.

### 1.0.0 ###

* Initial Version.

## Upgrade Notice ##

### 1.4.2 ###

* Added the `ultimatemodal_is_visible` filter.

## License ##

Ultimate Modal is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

Ultimate Modal is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with Ultimate Modal. If not, see <http://www.gnu.org/licenses/>.
